Bug 80102 - Expose Persistence friend APIs to the Creator Pack Project module
Expose Persistence friend APIs to the Creator Pack Project module
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Petr Pisl
issues@javaee
OSLO, BIN_COMP
: API, API_REVIEW_FAST
Depends on:
Blocks: 78597
  Show dependency treegraph
 
Reported: 2006-07-12 23:46 UTC by Marco Walther
Modified: 2006-07-19 11:52 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Walther 2006-07-12 23:46:54 UTC
We need the friend API's in the persistence api module exposed to the Creator 
JSF project module.

org.netbeans.modules.j2ee.persistenceapi --> com.sun.rave.project.jsfproject

Thanks,
-- Marco
Comment 1 Petr Jiricka 2006-07-13 08:42:41 UTC
Changing to TASK.
Comment 2 Petr Pisl 2006-07-13 14:55:18 UTC
This api is still under development and this is the reason why we don't have it
as a public api. We need to add Creator module as friend  and this introduce a
cross-cluster dependency.  This is reason why I would like to go trough the fast
track review for adding this dependency.
Comment 3 Petr Pisl 2006-07-18 17:21:13 UTC
I'm going to commit tomorrow the friend modules.
Comment 4 Petr Pisl 2006-07-19 09:40:43 UTC
Marco, org.netbeans.modules.j2ee.persistenceapi is implemenatation package. Do
you really mean this package or org.netbeans.modules.j2ee.persistence.api package ?
Comment 5 Petr Pisl 2006-07-19 11:51:12 UTC
I'm sorry, I didn't notice that the code name of the module is
org.netbeans.modules.j2ee.persistenceapi. So the new friend is committed in the cvs.
Comment 6 Petr Pisl 2006-07-19 11:52:13 UTC
Marking as fixed. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo